package de.effigenix.domain.inventory;

public enum ReferenceType {
    PRODUCTION_ORDER,
    SALE_ORDER;

    public MovementType toMovementType() {
        return switch (this) {
            case PRODUCTION_ORDER -> MovementType.PRODUCTION_CONSUMPTION;
            case SALE_ORDER -> MovementType.SALE;
        };
    }
}
